From cf83347e6fa9c086b5df022d23ca666245bf1989 Mon Sep 17 00:00:00 2001
From: Jimi Huotari <chiitoo@gentoo.org>
Date: Sun, 10 May 2020 06:02:59 +0300
Subject: [PATCH] Fix build with GCC 10

Change-Id: I733b8e8a00c49766effbee08c8b1f6f5d31a2dbf
---
 chromium/base/trace_event/trace_event_memory_overhead.h          | 1 +
 chromium/media/cdm/supported_cdm_versions.h                      | 1 +
 .../third_party/perfetto/include/perfetto/base/task_runner.h     | 1 +
 chromium/third_party/webrtc/call/rtx_receive_stream.h            | 1 +
 .../webrtc/modules/audio_processing/aec3/clockdrift_detector.h   | 1 +
 .../third_party/webrtc/modules/video_coding/decoding_state.h     | 1 +
 6 files changed, 6 insertions(+)

diff --git a/chromium/base/trace_event/trace_event_memory_overhead.h b/chromium/base/trace_event/trace_event_memory_overhead.h
index 69468d46409..e10a3eca667 100644
--- a/src/3rdparty/chromium/base/trace_event/trace_event_memory_overhead.h
+++ b/src/3rdparty/chromium/base/trace_event/trace_event_memory_overhead.h
@@ -8,6 +8,7 @@
 #include <stddef.h>
 #include <stdint.h>
 
+#include <string>
 #include <unordered_map>
 
 #include "base/base_export.h"
diff --git a/chromium/media/cdm/supported_cdm_versions.h b/chromium/media/cdm/supported_cdm_versions.h
index 3f220da8c71..c54e3bb7d30 100644
--- a/src/3rdparty/chromium/media/cdm/supported_cdm_versions.h
+++ b/src/3rdparty/chromium/media/cdm/supported_cdm_versions.h
@@ -6,6 +6,7 @@
 #define MEDIA_CDM_SUPPORTED_CDM_VERSIONS_H_
 
 #include <array>
+#include <cstddef>
 
 #include "media/base/media_export.h"
 #include "media/cdm/api/content_decryption_module.h"
diff --git a/chromium/third_party/perfetto/include/perfetto/base/task_runner.h b/chromium/third_party/perfetto/include/perfetto/base/task_runner.h
index cf60401238f..ee4ad255dea 100644
--- a/src/3rdparty/chromium/third_party/perfetto/include/perfetto/base/task_runner.h
+++ b/src/3rdparty/chromium/third_party/perfetto/include/perfetto/base/task_runner.h
@@ -18,6 +18,7 @@
 #define INCLUDE_PERFETTO_BASE_TASK_RUNNER_H_
 
 #include <functional>
+#include <stdint.h>
 
 #include "perfetto/base/export.h"
 
diff --git a/chromium/third_party/webrtc/call/rtx_receive_stream.h b/chromium/third_party/webrtc/call/rtx_receive_stream.h
index 8ffa4400a9c..66cc46dc091 100644
--- a/src/3rdparty/chromium/third_party/webrtc/call/rtx_receive_stream.h
+++ b/src/3rdparty/chromium/third_party/webrtc/call/rtx_receive_stream.h
@@ -12,6 +12,7 @@
 #define CALL_RTX_RECEIVE_STREAM_H_
 
 #include <map>
+#include <stdint.h>
 
 #include "call/rtp_packet_sink_interface.h"
 
diff --git a/chromium/third_party/webrtc/modules/audio_processing/aec3/clockdrift_detector.h b/chromium/third_party/webrtc/modules/audio_processing/aec3/clockdrift_detector.h
index 22528c94892..69e624e8b19 100644
--- a/src/3rdparty/chromium/third_party/webrtc/modules/audio_processing/aec3/clockdrift_detector.h
+++ b/src/3rdparty/chromium/third_party/webrtc/modules/audio_processing/aec3/clockdrift_detector.h
@@ -12,6 +12,7 @@
 #define MODULES_AUDIO_PROCESSING_AEC3_CLOCKDRIFT_DETECTOR_H_
 
 #include <array>
+#include <cstddef>
 
 namespace webrtc {
 
diff --git a/chromium/third_party/webrtc/modules/video_coding/decoding_state.h b/chromium/third_party/webrtc/modules/video_coding/decoding_state.h
index b87fb2d0345..e6c5e2855de 100644
--- a/src/3rdparty/chromium/third_party/webrtc/modules/video_coding/decoding_state.h
+++ b/src/3rdparty/chromium/third_party/webrtc/modules/video_coding/decoding_state.h
@@ -13,6 +13,7 @@
 
 #include <map>
 #include <set>
+#include <stdint.h>
 #include <vector>
 
 namespace webrtc {
-- 
2.26.2
